summaryrefslogtreecommitdiff
path: root/dev-python/tqdm
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/tqdm
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/tqdm')
-rw-r--r--dev-python/tqdm/Manifest6
-rw-r--r--dev-python/tqdm/files/tqdm-4.46.0-py39.patch42
-rw-r--r--dev-python/tqdm/metadata.xml26
-rw-r--r--dev-python/tqdm/tqdm-4.23.3.ebuild30
-rw-r--r--dev-python/tqdm/tqdm-4.33.0.ebuild53
-rw-r--r--dev-python/tqdm/tqdm-4.40.0.ebuild60
-rw-r--r--dev-python/tqdm/tqdm-4.45.0.ebuild60
-rw-r--r--dev-python/tqdm/tqdm-4.46.0.ebuild62
-rw-r--r--dev-python/tqdm/tqdm-4.46.1.ebuild58
-rw-r--r--dev-python/tqdm/tqdm-9999.ebuild60
10 files changed, 457 insertions, 0 deletions
diff --git a/dev-python/tqdm/Manifest b/dev-python/tqdm/Manifest
new file mode 100644
index 000000000000..28b3a53c9ad6
--- /dev/null
+++ b/dev-python/tqdm/Manifest
@@ -0,0 +1,6 @@
+DIST tqdm-4.23.3.tar.gz 75941 BLAKE2B 9e5810765e8f7ea4f54b0f93f453d278d5ad4b1710f1476a6f00ff2e513789585e97dcd5a8331fe69d3593b18affd50bf9bf51cbaed29ecd68d4efad9318aa31 SHA512 40c853b7cf7611ba2ef7652417c0d42ea4392f5ea9cbe319dbb9e3dd063594e5c637fb5d13f77935fb9a034d395b28fa9480fec1c6cca1852644add4ac18cce8
+DIST tqdm-4.33.0.tar.gz 121571 BLAKE2B f4ee73cfa710462e148f6034ac69144d845d216bd97e16a78bc1f1ed5d658b6cd695d07aa1ea6ec93e2e747ab8fc52263a580c01516d1f111dcb5766b019925d SHA512 de86a2dc2c5f887b9671ee01e7c05820375b0ef83dec92f17da4d944dd02cbf96a133fd9d349ba5f9c75af70e7b87110a9a7ad3293c7eb81e49ed6ea288ba73c
+DIST tqdm-4.40.0.tar.gz 129225 BLAKE2B 85030c11bdba6c1d6da461e3c648bae6ae173577fb18986e3153badd73a28352f807782759aa52ed082d7ee0c13dc5f850c1da563ee5892f6bf5e8f49c48c7ee SHA512 1c326d98130c79f614cea502723e4202baa57b7b4639e208133cb464785e4a8d4eaa9d262ea484246d45e5eb8f21994e7ecf3fd6ef0f4966f9049fc8013d7442
+DIST tqdm-4.45.0.tar.gz 140990 BLAKE2B 8699b3a820859406e9bbafaaa48ba1b418e3083898d2b6c3401078996dd03431db259d5ad8a377226a50b80513ef0fc55bdaf2b67fc4a2bdd490bc5fdc04d681 SHA512 7b35f86205c6581ede9bdb0788e7f55be525c3f0f77952803046661c6a7a6cd3c15ed0323376ecedb5cddace1b32a41fee1932033dcaa49f9096dc3b9b674f10
+DIST tqdm-4.46.0.tar.gz 144312 BLAKE2B 93b902d9a362e658f244f3c1b15a3496425cb3e401adf291dc0a9c7c0bd551baa1171a753be8d1c3b877d2cd3ab25e81dddbd8492668d0b0f6ca3cb47d13be1c SHA512 ccdfce4d273e78ced172fc3edb24ac038465169f7b765e7bf779831ef3d0dc72c648c5fb165aba02e0c6dc86c5d0ea3d93d5530b642ddd84e3d284c7354739cf
+DIST tqdm-4.46.1.tar.gz 144383 BLAKE2B 4d72bfbf0c225c779ae2c9bf405f9effdb69cfe7862325b12e8408c17a03b7a87f9cf0d055de598a67132861114c89b237d0ad2509302e452cc67ce9aa34fa48 SHA512 de8710ceb44b6caa073aaa3c9dca281880d752d1b542a3dd87a54884478a185c35ab1969c6cb7242e30ee0511f967cde7bd4fa83a8d4f8c58d3e95ad2bf3bfc6
diff --git a/dev-python/tqdm/files/tqdm-4.46.0-py39.patch b/dev-python/tqdm/files/tqdm-4.46.0-py39.patch
new file mode 100644
index 000000000000..0734aa83b96f
--- /dev/null
+++ b/dev-python/tqdm/files/tqdm-4.46.0-py39.patch
@@ -0,0 +1,42 @@
+From aeb52044ca29f37f1f98ee5a4f9ad774d557771e Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Tue, 26 May 2020 21:43:05 +0200
+Subject: [PATCH] Fix error due to missing sys.setcheckinterval in py3.9
+
+Python 3.9 finally removed sys.setcheckinterval(). While the package
+apparently tried to account for that, the logic is flawed and the second
+getattr() raises an AttributeError even if its result is never used.
+This caused tests to fail:
+
+ File "/tmp/tqdm/tqdm/tests/tests_tqdm.py", line 126, in pretest
+ getattr(sys, 'setswitchinterval', getattr(sys, 'setcheckinterval'))(100)
+ AttributeError: module 'sys' has no attribute 'setcheckinterval'
+
+Refactor the code into a try/except construct that does not execute
+the setcheckinterval() branch unless setswitchinterval() is actually
+missing. While at it, scale the arguments a bit -- the current version
+used either 100 instructions or 100 seconds that were rather of very
+different magnitudes.
+---
+ tqdm/tests/tests_tqdm.py | 5 ++++-
+ 1 file changed, 4 insertions(+), 1 deletion(-)
+
+diff --git a/tqdm/tests/tests_tqdm.py b/tqdm/tests/tests_tqdm.py
+index a2dac52..5f322e6 100644
+--- a/tqdm/tests/tests_tqdm.py
++++ b/tqdm/tests/tests_tqdm.py
+@@ -123,7 +123,10 @@ def cpu_timify(t, timer=None):
+
+ def pretest():
+ # setcheckinterval is deprecated
+- getattr(sys, 'setswitchinterval', getattr(sys, 'setcheckinterval'))(100)
++ try:
++ sys.setswitchinterval(1)
++ except AttributeError:
++ sys.setcheckinterval(100)
+
+ if getattr(tqdm, "_instances", False):
+ n = len(tqdm._instances)
+--
+2.26.2
+
diff --git a/dev-python/tqdm/metadata.xml b/dev-python/tqdm/metadata.xml
new file mode 100644
index 000000000000..8da6a5558248
--- /dev/null
+++ b/dev-python/tqdm/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>chr@chymera.eu</email>
+ <name>Horea Christian</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <longdescription lang="en">
+ Instantly make your loops show a progress meter - just wrap
+ any iterator with "tqdm(iterator)", and you're done!
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">tqdm</remote-id>
+ <remote-id type="github">tqdm/tqdm</remote-id>
+ <bugs-to>https://github.com/tqdm/tqdm/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/tqdm/tqdm-4.23.3.ebuild b/dev-python/tqdm/tqdm-4.23.3.ebuild
new file mode 100644
index 000000000000..292ecf6c3149
--- /dev/null
+++ b/dev-python/tqdm/tqdm-4.23.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="https://github.com/tqdm/tqdm"
+SRC_URI="https://github.com/tqdm/tqdm/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="examples"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e "s#man/man1#share/man/man1#" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/tqdm/tqdm-4.33.0.ebuild b/dev-python/tqdm/tqdm-4.33.0.ebuild
new file mode 100644
index 000000000000..92d9aba08cee
--- /dev/null
+++ b/dev-python/tqdm/tqdm-4.33.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7}} )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/tqdm/tqdm"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~hppa ~sparc ~x86"
+fi
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="https://github.com/tqdm/tqdm"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+# Uses pkg_resources
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+ # tests_main.py requires the package to be installed
+ distutils_install_for_testing
+ # Skip unpredictable performance tests
+ nosetests tqdm -v -I 'tests_perf.py' \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ doman "${BUILD_DIR}"/lib/tqdm/tqdm.1
+ rm "${BUILD_DIR}"/lib/tqdm/tqdm.1 || die
+ distutils-r1_python_install --skip-build
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/tqdm/tqdm-4.40.0.ebuild b/dev-python/tqdm/tqdm-4.40.0.ebuild
new file mode 100644
index 000000000000..f3355f39eb43
--- /dev/null
+++ b/dev-python/tqdm/tqdm-4.40.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7,8}} )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/tqdm/tqdm"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~alpha amd64 ~arm64 ~hppa ~sparc x86"
+fi
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="https://github.com/tqdm/tqdm"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="examples"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}"
+
+distutils_enable_tests nose
+
+python_prepare_all() {
+ sed -r \
+ -e "s:'nose'(,[[:space:]]*|)::" \
+ -e "s:'flake8'(,[[:space:]]*|)::" \
+ -e "s:'coverage'(,[[:space:]]*|)::" \
+ -i setup.py
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # tests_main.py requires the package to be installed
+ distutils_install_for_testing
+ # Skip unpredictable performance tests
+ nosetests tqdm -v --ignore 'tests_perf.py' \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ doman "${BUILD_DIR}"/lib/tqdm/tqdm.1
+ rm "${BUILD_DIR}"/lib/tqdm/tqdm.1 || die
+ distutils-r1_python_install --skip-build
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/tqdm/tqdm-4.45.0.ebuild b/dev-python/tqdm/tqdm-4.45.0.ebuild
new file mode 100644
index 000000000000..6ec5bce83c37
--- /dev/null
+++ b/dev-python/tqdm/tqdm-4.45.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7,8}} )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/tqdm/tqdm"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~sparc ~x86"
+fi
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="https://github.com/tqdm/tqdm"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="examples"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}"
+
+distutils_enable_tests nose
+
+python_prepare_all() {
+ sed -r \
+ -e "s:'nose'(,[[:space:]]*|)::" \
+ -e "s:'flake8'(,[[:space:]]*|)::" \
+ -e "s:'coverage'(,[[:space:]]*|)::" \
+ -i setup.py
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # tests_main.py requires the package to be installed
+ distutils_install_for_testing
+ # Skip unpredictable performance tests
+ nosetests tqdm -v --ignore 'tests_perf.py' \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ doman "${BUILD_DIR}"/lib/tqdm/tqdm.1
+ rm "${BUILD_DIR}"/lib/tqdm/tqdm.1 || die
+ distutils-r1_python_install --skip-build
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/tqdm/tqdm-4.46.0.ebuild b/dev-python/tqdm/tqdm-4.46.0.ebuild
new file mode 100644
index 000000000000..0c1a502ea5fe
--- /dev/null
+++ b/dev-python/tqdm/tqdm-4.46.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7,8,9}} )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/tqdm/tqdm"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="https://github.com/tqdm/tqdm"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="examples"
+
+distutils_enable_tests nose
+
+PATCHES=(
+ "${FILESDIR}"/${P}-py39.patch
+)
+
+python_prepare_all() {
+ sed -r \
+ -e "s:'nose'(,[[:space:]]*|)::" \
+ -e "s:'flake8'(,[[:space:]]*|)::" \
+ -e "s:'coverage'(,[[:space:]]*|)::" \
+ -i setup.py
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # tests_main.py requires the package to be installed
+ distutils_install_for_testing
+ # Skip unpredictable performance tests
+ nosetests tqdm -v --ignore 'tests_perf.py' \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ doman "${BUILD_DIR}"/lib/tqdm/tqdm.1
+ rm "${BUILD_DIR}"/lib/tqdm/tqdm.1 || die
+ distutils-r1_python_install --skip-build
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/tqdm/tqdm-4.46.1.ebuild b/dev-python/tqdm/tqdm-4.46.1.ebuild
new file mode 100644
index 000000000000..75999c0d5faf
--- /dev/null
+++ b/dev-python/tqdm/tqdm-4.46.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7,8,9}} )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/tqdm/tqdm"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="https://github.com/tqdm/tqdm"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="examples"
+
+distutils_enable_tests nose
+
+python_prepare_all() {
+ sed -r \
+ -e "s:'nose'(,[[:space:]]*|)::" \
+ -e "s:'flake8'(,[[:space:]]*|)::" \
+ -e "s:'coverage'(,[[:space:]]*|)::" \
+ -i setup.py
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # tests_main.py requires the package to be installed
+ distutils_install_for_testing
+ # Skip unpredictable performance tests
+ nosetests tqdm -v --ignore 'tests_perf.py' \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ doman "${BUILD_DIR}"/lib/tqdm/tqdm.1
+ rm "${BUILD_DIR}"/lib/tqdm/tqdm.1 || die
+ distutils-r1_python_install --skip-build
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/tqdm/tqdm-9999.ebuild b/dev-python/tqdm/tqdm-9999.ebuild
new file mode 100644
index 000000000000..c55f5112880f
--- /dev/null
+++ b/dev-python/tqdm/tqdm-9999.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7,8}} )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/tqdm/tqdm"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~sparc ~x86"
+fi
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="https://github.com/tqdm/tqdm"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="examples"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}"
+
+distutils_enable_tests nose
+
+python_prepare_all() {
+ sed -r \
+ -e "s:'nose'(,[[:space:]]*|)::" \
+ -e "s:'flake8'(,[[:space:]]*|)::" \
+ -e "s:'coverage'(,[[:space:]]*|)::" \
+ -i setup.py
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # tests_main.py requires the package to be installed
+ distutils_install_for_testing
+ # Skip unpredictable performance tests
+ nosetests tqdm -v --ignore 'tests_perf.py' \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ doman "${BUILD_DIR}"/lib/tqdm/tqdm.1
+ rm "${BUILD_DIR}"/lib/tqdm/tqdm.1 || die
+ distutils-r1_python_install --skip-build
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}